Bug 1000251 - glpi contains bundled Flash files
glpi contains bundled Flash files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glpi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:22 EDT by T.C. Hollingsworth
Modified: 2013-09-18 00:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 02:41:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:22:04 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/glpi/lib/extjs/resources/charts.swf
/usr/share/glpi/lib/extjs/resources/expressinstall.swf

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Remi Collet 2013-08-23 02:41:35 EDT
Package: glpi-0.83.9.1-3.fc20
Tag: f20
Status: complete
Comment 2 Adam Williamson 2013-09-17 15:59:34 EDT
Did you check for and  fix this on existing branches (f18, f19, el5, el6) too? Just fixing it for the future is not really enough in the case of a serious licensing issue.
Comment 3 Remi Collet 2013-09-18 00:36:41 EDT
Yes, the fix have been applied in all branches.

Note You need to log in before you can comment on or make changes to this bug.